libplank-dev_0.11.89-1_i386.deb


Advertisement

Description

libplank-dev - Library to build an elegant, simple, clean dock (development files)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libplank-dev_0.11.89-1_i386.deb
Package name libplank-dev
Package version 0.11.89
Package release 1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://launchpad.net/plank
License -
Maintainer Rico Tzschichholz <ricotz@ubuntu.com>
Download size 75.48 KB
Installed size 253.00 KB

Alternatives

Package Version Architecture Repository
libplank-dev_0.11.89-1_amd64.deb 0.11.89 amd64 Debian Main
libplank-dev - - -

Requires

Name Value
libbamf3-dev >= 0.2.92
libcairo2-dev >= 1.10.0
libgdk-pixbuf2.0-dev >= 2.26.0
libgee-0.8-dev -
libglib2.0-dev >= 2.40.0
libgtk-3-dev >= 3.10.0
libplank1 = 0.11.89-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libplank-dev_0.11.89-1_i386.deb
Source Package plank

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libplank-dev deb package:
    # sudo apt-get install libplank-dev

Files

Path
/usr/include/plank/plank.h
/usr/lib/i386-linux-gnu/libplank.so
/usr/lib/i386-linux-gnu/pkgconfig/plank.pc
/usr/share/doc/libplank-dev/changelog.Debian.gz
/usr/share/doc/libplank-dev/changelog.gz
/usr/share/doc/libplank-dev/copyright
/usr/share/vala/vapi/plank.deps
/usr/share/vala/vapi/plank.vapi

Changelog

2019-08-20 - Mike Gabriel <sunweaver@debian.org>
plank (0.11.89-1) unstable; urgency=medium
* New upstream release.
* debian/{compat,control}:
+ Use debhelper-compat notation. Bump to DH compat level version 12.
* debian/control:
+ Bump Standards-Version: to 4.4.0. No changes needed.
+ Update versioned B-Ds for this upstream release.
+ Add B-D: libgnome-menu-3-dev.
+ Add B-D: valadoc.
* debian/rules:
+ Drop mv code for appdata .xml file. Now correctly installed by upstream.
+ Enable build of documentation files.
+ Drop dbgsym-migration dh_strip override.
+ Drop custom compression settings for dh_builddeb.
* debian/libplank-doc.install:
+ New location from where to move upstream docs into gtk-doc/html/plank/.
* lintian:
+ Override library-not-linked-against-libc
usr/lib/x86_64-linux-gnu/plank/docklets/libdocklet-desktop.so.
2018-08-24 - Mike Gabriel <sunweaver@debian.org>
plank (0.11.4-4) unstable; urgency=medium
* debian/{rules,plank.install}:
+ Move appdata.xml file before dh_install, rather than after. (Closes:
#907109).
2018-08-22 - Mike Gabriel <sunweaver@debian.org>
plank (0.11.4-3) unstable; urgency=medium
* debian/copyright:
+ Use secure URI for copyright format.
* debian/control:
+ Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
+ Drop pkg-mate-team Alioth mailing list from Uploaders: field.
+ Put debian-mate@lists.debian.org into Uploaders: field.
+ Bump Standards-Version: to 4.2.0. No changes needed.
+ Move bin:pkg libplank1 to Section: libs.
* debian/{control,compat}:
+ Bump DH compat level to version 11.
* debian/rules:
+ Drop now useless --parallel option from dh call.
+ Move appdata file to new canonical location (/usr/share/metainfo).
* debian/plank.examples:
+ Add examples to pkg's doc/ folder.
2017-12-12 - Jeremy Bicha <jbicha@debian.org>
plank (0.11.4-2) unstable; urgency=medium
* Team upload
* Add explicit Build-Depends on libxml2-utils
2017-08-01 - Mike Gabriel <sunweaver@debian.org>
plank (0.11.4-1) unstable; urgency=medium
* New upstream release. (Closes: #869196).
* debian/control:
+ Bump Standards-Version: to 4.0.0. No changes needed.
* debian/{compat,control}:
+ Switch to DH version level 10.
* debian/rules:
+ Move --fail-missing option from dh_install to dh_missing.
2017-01-24 - Mike Gabriel <sunweaver@debian.org>
plank (0.11.3-2) unstable; urgency=medium
* debian/control:
+ Add S (plank, libplank-dev): libplank-doc. (Closes: #849897).
* debian/control:
+ Drop Sergey Shnatsel Davidoff from Uploaders: field. Thanks for
your contributions. (Closes: #852175).
2016-12-06 - Mike Gabriel <sunweaver@debian.org>
plank (0.11.3-1) unstable; urgency=medium
* New upstream release.
2016-11-30 - Mike Gabriel <sunweaver@debian.org>
plank (0.11.2-2) unstable; urgency=medium
[ Mike Gabriel ]
* debian/control:
+ Bump Standards: to 3.9.8. No changes needed.
* debian/{control,rules}:
+ Don't build dbg:packages anymore.
See https://wiki.debian.org/AutomaticDebugPackages.
* debian/control:
+ Update versioned B-D: libbamf3-dev (>= 0.5).
+ Versioned B-D on dpkg-dev (>= 1.16.1.1), to have buildflags.mk available.
* debian/rules:
+ Enable all hardening flags.
2016-06-06 - Rico Tzschichholz <ricotz@ubuntu.com>
plank (0.11.2-1) unstable; urgency=medium
* New upstream release.
* debian/{control,rules}:
+ Bump shlibs and valac build-dep.
2016-03-30 - Rico Tzschichholz <ricotz@ubuntu.com>
plank (0.11.1-1) unstable; urgency=medium
* New upstream release.

See Also

Package Description
libplank-doc_0.11.89-1_all.deb Library to build an elegant, simple, clean dock (documentation)
libplank1_0.11.89-1_i386.deb Library to build an elegant, simple, clean dock
libplasma-geolocation-interface5_5.14.5.1-3_i386.deb Plasma Workspace for KF5 library
libplayerctl-dev_2.0.2-1_i386.deb utility to control media players via MPRIS (development files)
libplayerctl-doc_2.0.2-1_all.deb utility to control media players via MPRIS (documentation)
libplayerctl2_2.0.2-1_i386.deb utility to control media players via MPRIS (library)
libplb-dev_1.5~r1+repack1-4_i386.deb CFD solver based on the lattice Boltzmann method. Development files
libplb-doc_1.5~r1+repack1-4_all.deb CFD solver based on the lattice Boltzmann method. Documentation
libplb1_1.5~r1+repack1-4_i386.deb CFD solver based on the lattice Boltzmann method. Shared library
libplexus-ant-factory-java_1.0~alpha2.1-4_all.deb Plexus Ant Factory
libplexus-archiver-java_3.6.0-2_all.deb Archiver plugin for the Plexus compiler system
libplexus-bsh-factory-java_1.0~alpha7-4_all.deb Plexus Beanshell Factory
libplexus-build-api-java_0.0.7-3_all.deb Incremental build API for Plexus components
libplexus-cipher-java-doc_1.7-3_all.deb Documentation for Plexus Cipher Component used by Maven
libplexus-cipher-java_1.7-3_all.deb Plexus Cipher Component used by Maven
Advertisement
Advertisement